## gcc-mingw-w64 18

=== debian/changelog ===
gcc-mingw-w64 (18) unstable; urgency=medium

  * Use build-profiles for bootstrapping.
  * Fix the spelling mistakes flagged by Lintian.
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no further change required.
  * Switch to debhelper compatibility level 9.
  * Enable hardening for host binaries.
  * Hard-code the shell in mkheaders (this should make the build
    reproducible again).

 -- Stephen Kitt <skitt@debian.org>  Mon, 13 Jun 2016 21:41:48 +0200
