=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gcc-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: extra
Build-Depends: autotools-dev,
# Allow binutils-mingw-w64 2.26-3ubuntu<n>+6.6 or later,
# or 2.26-3+6.6 or later, disallowing 2.26-3+6.5
# (the first dependency matches the Ubuntu version, the disjunction excludes
# non-Ubuntu versions or versions older than 2.26-3+6.6)
               binutils-mingw-w64-i686 (>= 2.26-3ubuntu1+6.6),
               binutils-mingw-w64-i686 (<< 2.26-3v) | binutils-mingw-w64-i686 (>= 2.26-3+6.6),
               binutils-mingw-w64-x86-64 (>= 2.26-3ubuntu1+6.2),
               binutils-mingw-w64-x86-64 (<< 2.26-3v) | binutils-mingw-w64-x86-64 (>= 2.26-3+6.6),
               bison,
               debhelper (>= 9.20150501),
               dpkg-dev (>= 1.17.14),
               flex,
               g++-5,
               gcc-5-source,
               libcloog-isl-dev,
               libelf-dev,
               libgmp-dev,
               libmpc-dev,
               libmpfr-dev,
               mingw-w64-i686-dev (>= 3.0~svn5915) <!stage1>,
               mingw-w64-x86-64-dev (>= 3.0~svn5915) <!stage1>,
               xz-utils,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gcc-mingw-w64.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gcc-mingw-w64.git
Homepage: http://www.gnu.org/software/gcc/

Package: gcc-mingw-w64
Architecture: all
Depends: gcc-mingw-w64-i686,
         gcc-mingw-w64-x86-64,
         ${misc:Depends}
Recommends: g++-mingw-w64, gfortran-mingw-w64, gnat-mingw-w64
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-i686
Architecture: any
Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-x86-64
Architecture: any
Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64
Architecture: all
Depends: g++-mingw-w64-i686,
         g++-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64
Architecture: all
Depends: gfortran-mingw-w64-i686,
         gfortran-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Fortran compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gfortran-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64
Architecture: all
Depends: gobjc-mingw-w64-i686,
         gobjc-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64
Architecture: all
Depends: gobjc++-mingw-w64-i686,
         gobjc++-mingw-w64-x86-64,
         ${misc:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64-i686
Architecture: any
Depends: gobjc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gobjc++-mingw-w64-x86-64
Architecture: any
Depends: gobjc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-5-locales (>= ${local:Version})
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-base
Architecture: any
Depends: ${misc:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Compiler Collection for MinGW-w64 (base package)
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This empty package contains the documentation common to all
 gcc-mingw-w64 packages.

Package: gcc-mingw-w64-bootstrap
Architecture: any
Depends: binutils-mingw-w64,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-5 (= ${gcc:Version})
Description: GNU Compiler Collection for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
