=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build gcc-mingw-w64 using gcc-5-source.
# Copyright © 2010-2015 Stephen Kitt <skitt@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

target_version := 5

top_dir := $(shell pwd)
gcc_dir := /usr/src/gcc-$(target_version)
upstream_dir := $(top_dir)/src
build_dir := $(top_dir)/build
stampdir := $(top_dir)/stamps
source_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-$(target_version)-source)
our_version := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
deb_version := $(source_version)+$(our_version)
deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
deb_upstream_nextversion := $(shell echo $(deb_upstream_version) | awk -F. "{ for (i = 1; i < NF; i++) { printf \"%d.\",\$$i; }; print (\$$NF + 1); }")
base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
derives_from_ubuntu := $(shell (dpkg-vendor --derives-from Ubuntu && echo "yes") || echo "no")

# First split version
first_split_version := 4.6.3-3+4
ifeq ($(derives_from_ubuntu),yes)
  first_split_version := 4.6.3-1ubuntu5+5ubuntu1
endif

# libcaf migration version
libcaf_migration_version := 5.3.1-8+17
ifeq ($(derives_from_ubuntu),yes)
  libcaf_migration_version := 5.3.1-8ubuntu2+17
endif

ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
# Build the minimal gcc required to build mingw-w64
    languages := c,c++
    BUILD_TARGET := all-gcc
    INSTALL_TARGET := install-gcc
else
# Build the full GCC.
    languages := c,c++,fortran,objc,obj-c++
    debian_extra_langs := ada
    export debian_extra_langs
    BUILD_TARGET :=
    INSTALL_TARGET := install install-lto-plugin
endif

comma := ,
space :=
space +=
control: control-stamp
control-stamp:
	echo \# This file is generated using debian/rules control, do not edit > debian/control
	cat debian/control.source >> debian/control
	for language in $(subst $(comma),$(space),$(languages)); do \
		echo >> debian/control; \
		sed -f debian/control.$$language.sed debian/control.template >> debian/control; \
	done
	echo >> debian/control
	cat debian/control.base >> debian/control
	echo >> debian/control
	cat debian/control.bootstrap >> debian/control
	sed -i '/^Recommends: $$/d' debian/control
	sed -i '/^Breaks: $$/d' debian/control
	sed -i '/^Conflicts: $$/d' debian/control
	sed -i '/^Replaces: $$/d' debian/control
	touch $@

targets := i686-w64-mingw32 x86_64-w64-mingw32
threads := posix win32

# Hardening on the host, none on the target
# Format fails the build currently
dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format" dpkg-buildflags
dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags

CC = gcc-$(target_version)
CXX = g++-$(target_version)
CFLAGS = $(shell $(dpkg_buildflags_host) --get CFLAGS)
CFLAGS += -Wall
CFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CFLAGS)
CFLAGS_FOR_TARGET += -Wall
CPPFLAGS = $(shell $(dpkg_buildflags_host) --get CPPFLAGS)
CPPFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CPPFLAGS)
CXXFLAGS = $(shell $(dpkg_buildflags_host) --get CXXFLAGS)
CXXFLAGS += -Wall
CXXFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get CXXFLAGS)
CXXFLAGS_FOR_TARGET += -Wall
FFLAGS = $(shell $(dpkg_buildflags_host) --get FFLAGS)
FFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get FFLAGS)
LDFLAGS = $(shell $(dpkg_buildflags_host) --get LDFLAGS)
LDFLAGS += -Wl,--as-needed
LDFLAGS_FOR_TARGET = $(shell $(dpkg_buildflags_target) --get LDFLAGS)
LDFLAGS_FOR_TARGET += -Wl,--as-needed
LDFLAGS_FOR_TARGET = -Xlinker --insert-timestamp=$(shell date -d "$(shell dpkg-parsechangelog -S Date)" +%s)
export CC CXX CFLAGS CFLAGS_FOR_TARGET CPPFLAGS CPPFLAGS_FOR_TARGET
export CXXFLAGS CXXFLAGS_FOR_TARGET FFLAGS FFLAGS_FOR_TARGET LDFLAGS LDFLAGS_FOR_TARGET

# Number of jobs to run for build
ifeq ($(USE_NJOBS),no)
  NJOBS :=
  USE_CPUS := 1
else
  # Increase to 192 if building Java
  MEM_PER_CPU = 128
  NUM_CPUS := $(shell if echo $(USE_NJOBS) | grep -q -E '^[0-9]+$$'; \
                        then echo $(USE_NJOBS); \
                        else getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1; fi)
  USE_CPUS := $(shell mt=`awk '/^MemTotal/ { print $$2 }' /proc/meminfo`; \
                        awk -vn=$(NUM_CPUS) -vmt=$$mt -vm=$(MEM_PER_CPU) \
                                'END { mt/=1024; n2 = int(mt/m); print n==1 ? 1 : n2<n+1 ? n2 : n+1}' < /dev/null)
  ifneq (,$(strip $(USE_CPUS)))
    NJOBS := -j $(USE_CPUS)
  endif
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Patch targets
patchdir = $(gcc_dir)/debian/patches
series_file = series
unpack_stamp = $(stampdir)/unpack
patch_stamp = $(stampdir)/patch
GFDL_INVARIANT_FREE=yes
srcdir=$(upstream_dir)
include $(gcc_dir)/debian/rules.patch

unpack: $(unpack_stamp)
$(unpack_stamp):
	tar xf $(gcc_dir)/gcc-*.tar.*
	rm -rf $(upstream_dir)
	mv gcc-* $(upstream_dir)
	# Apply our extra patches here...
	# We can't use a separate target for this because the patches
	# need to be applied before gcc-5-source's
	patch -p0 < debian/patches/disable-multilib.patch
	patch -p2 -d$(upstream_dir) < debian/patches/reproducible-sort.patch
	mkdir -p $(stampdir)
	touch $@

clean: control
	dh_testdir
	dh_testroot
	rm -rf $(stampdir) $(build_dir) $(upstream_dir) .pc autotools_files series *-stamp
	dh_clean

# Configuration constructed as in the gcc package
PF=usr
libdir=lib
libexecdir=$(PF)/$(libdir)

# Standard Debian configuration flags
CONFFLAGS = \
	--prefix=/$(PF) \
	--enable-shared \
	--enable-static \
	--disable-multilib \
	--with-system-zlib \
	--libexecdir=/$(libexecdir) \
	--without-included-gettext \
	--libdir=/$(PF)/$(libdir) \
	--enable-libstdcxx-time=yes \
	--with-tune=generic
# MinGW-w64 flags
# version-specific-runtime-libs puts target-specific libraries in
# /usr/lib/gcc rather than /usr/$(target)
CONFFLAGS += \
	--enable-version-specific-runtime-libs \
	--enable-fully-dynamic-string \
	--enable-libgomp
# Languages
CONFFLAGS += \
	--enable-languages=$(languages)
# LTO
CONFFLAGS += \
	--enable-lto \
	--with-plugin-ld
# Thread-model-dependent
CONFFLAGS += \
	--enable-threads=$$threads \
	--program-suffix=-$$threads
# Target-dependent
CONFFLAGS += \
	--program-prefix=$$target- \
	--target=$$target \
	--with-as=/usr/bin/$$target-as \
	--with-ld=/usr/bin/$$target-ld
# Disable libatomic
CONFFLAGS += \
	--disable-libatomic

spelling = grep -rl "$(1)" $(upstream_dir) | xargs sed -i "s/$(1)/$(2)/g"

# Patches applied or unapplied after the upstream sources have been
# unpacked and patched using the gcc-5-source package's patches
mingw-w64-patch: mingw-w64-patch-stamp
mingw-w64-patch-stamp: $(patch_stamp)
	# Remove the patch building libstdc++_pic.a before configuring
	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
	# Spelling fixes
	$(call spelling,adress,address)
	$(call spelling,Allow to,Allow one to)
	$(call spelling,Choosen,Chosen)
	$(call spelling,containg,containing)
	$(call spelling,endianess,endianness)
	$(call spelling,eroneous,erroneous)
	$(call spelling,informations,information)
	$(call spelling,intrument,instrument)
	$(call spelling,invokations,invocations)
