## gcc-mingw-w64 18.1

=== debian/changelog ===
gcc-mingw-w64 (18.1) unstable; urgency=medium

  * Add missing files (gomp, vtv, plugin support).
  * Ignore libcc1.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jun 2016 12:09:37 +0200
