## gcc-mingw-w64 18.2

=== debian/changelog ===
gcc-mingw-w64 (18.2) unstable; urgency=medium

  * Disable PIE, it causes issues with pre-compiled headers.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jun 2016 12:58:08 +0200
