=== debian/rules ===
--- 
+++ 
@@ -85,8 +85,9 @@
 threads := posix win32
 
 # Hardening on the host, none on the target
-# Format fails the build currently
-dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format" dpkg-buildflags
+# Format fails the build currently; using PIE produces a compiler which can't
+# build with pre-compiled headers
+dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
 dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
 CC = gcc-$(target_version)
@@ -223,5 +224,3 @@
 	$(call spelling,endianess,endianness)
 	$(call spelling,eroneous,erroneous)
 	$(call spelling,informations,information)
-	$(call spelling,intrument,instrument)
-	$(call spelling,invokations,invocations)
