## gcc-mingw-w64 18.2ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (18.2ubuntu1) yakkety; urgency=high

  * Set NO_PKG_MANGLE=1, as dbgsysms generation in launchpad fails to
    parse Built-Using, and when that is tweaked causes a build failure due
    to missing/miss-built packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 02 Aug 2016 12:09:28 +0100
