=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # This file is generated using debian/rules control, do not edit
 Source: gcc-mingw-w64
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: extra
 Build-Depends: autotools-dev,
@@ -301,4 +302,3 @@
          ${shlibs:Depends}
 Built-Using: gcc-5 (= ${gcc:Version})
 Description: GNU Compiler Collection for MinGW-w64
- MinGW-w64 provides a development and runtime environment for 32- and
