=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export NO_PKG_MANGLE=1
 
 target_version := 5
 
@@ -223,4 +225,3 @@
 	$(call spelling,containg,containing)
 	$(call spelling,endianess,endianness)
 	$(call spelling,eroneous,erroneous)
-	$(call spelling,informations,information)
