## gcc-mingw-w64 19

=== debian/changelog ===
gcc-mingw-w64 (19) experimental; urgency=medium

  * Build with gcc-6.
  * Remove obsolete hardening overrides.

 -- Stephen Kitt <skitt@debian.org>  Tue, 14 Jun 2016 22:37:44 +0200
