=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # This file is generated using debian/rules control, do not edit
 Source: gcc-mingw-w64
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: extra
 Build-Depends: autotools-dev,
@@ -17,8 +16,8 @@
                debhelper (>= 9.20150501),
                dpkg-dev (>= 1.17.14),
                flex,
-               g++-5,
-               gcc-5-source,
+               g++-6,
+               gcc-6-source,
                libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
@@ -39,7 +38,7 @@
          gcc-mingw-w64-x86-64,
          ${misc:Depends}
 Recommends: g++-mingw-w64, gfortran-mingw-w64, gnat-mingw-w64
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -54,11 +53,11 @@
 Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Conflicts: gcc-mingw-w64-bootstrap
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -73,11 +72,11 @@
 Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Conflicts: gcc-mingw-w64-bootstrap
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-bootstrap
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -92,7 +91,7 @@
 Depends: g++-mingw-w64-i686,
          g++-mingw-w64-x86-64,
          ${misc:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -107,10 +106,10 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -125,10 +124,10 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -143,7 +142,7 @@
 Depends: gfortran-mingw-w64-i686,
          gfortran-mingw-w64-x86-64,
          ${misc:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Fortran compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -158,10 +157,10 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-i686 (<< ${libcaf:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Fortran compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -176,10 +175,10 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
 Breaks: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
 Replaces: gcc-mingw-w64 (<< ${split:Version}), gcc-mingw-w64-x86-64 (<< ${libcaf:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Fortran compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -194,7 +193,7 @@
 Depends: gobjc-mingw-w64-i686,
          gobjc-mingw-w64-x86-64,
          ${misc:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -209,8 +208,8 @@
 Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -225,8 +224,8 @@
 Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -241,7 +240,7 @@
 Depends: gobjc++-mingw-w64-i686,
          gobjc++-mingw-w64-x86-64,
          ${misc:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -256,8 +255,8 @@
 Depends: gobjc-mingw-w64-i686 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -272,8 +271,8 @@
 Depends: gobjc-mingw-w64-x86-64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-5-locales (>= ${local:Version})
-Built-Using: gcc-5 (= ${gcc:Version})
+Suggests: gcc-6-locales (>= ${local:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -286,7 +285,7 @@
 Package: gcc-mingw-w64-base
 Architecture: any
 Depends: ${misc:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Compiler Collection for MinGW-w64 (base package)
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -300,5 +299,6 @@
 Depends: binutils-mingw-w64,
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-5 (= ${gcc:Version})
+Built-Using: gcc-6 (= ${gcc:Version})
 Description: GNU Compiler Collection for MinGW-w64
+ MinGW-w64 provides a development and runtime environment for 32- and
