=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/g/gcc-6/gcc-6_(.*)\.orig\.tar\.gz
