## gcc-mingw-w64 19ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (19ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Set NO_PKG_MANGLE=1, as dbgsysms generation in launchpad fails to
      parse Built-Using, and when that is tweaked causes a build failure
      due to missing/miss-built packages.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Aug 2016 11:47:34 +0200
