=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export NO_PKG_MANGLE=1
 
 target_version := 6
 
@@ -224,4 +226,3 @@
 	$(call spelling,eroneous,erroneous)
 	$(call spelling,informations,information)
 	$(call spelling,intial,initial)
-	$(call spelling,intrument,instrument)
