## gcc-mingw-w64 19.1

=== debian/changelog ===
gcc-mingw-w64 (19.1) unstable; urgency=medium

  * Upload to unstable.
  * Disable PIE, it causes issues with pre-compiled headers.
  * Disable package mangling in Launchpad (thanks to Dimitri John Ledkov
    for the Ubuntu patch).
  * Build-depend on libisl-dev instead of libcloog-isl-dev (Closes:
    #833579).
  * Use a token for the GCC version in debian/control.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Aug 2016 17:24:54 +0200
