=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                flex,
                g++-6,
                gcc-6-source,
-               libcloog-isl-dev,
                libelf-dev,
                libgmp-dev,
+               libisl-dev,
                libmpc-dev,
                libmpfr-dev,
                mingw-w64-i686-dev (>= 3.0~svn5915) <!stage1>,
