=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# Disable package mangling in Launchpad; it currently fails to parse
+# Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
 target_version := 6
@@ -81,14 +83,16 @@
 	sed -i '/^Breaks: $$/d' debian/control
 	sed -i '/^Conflicts: $$/d' debian/control
 	sed -i '/^Replaces: $$/d' debian/control
+	sed -i 's/@@VERSION@@/$(target_version)/g' debian/control
 	touch $@
 
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 threads := posix win32
 
 # Hardening on the host, none on the target
-# Format fails the build currently
-dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format" dpkg-buildflags
+# Format fails the build currently; using PIE produces a compiler
+# which can't build with pre-compiled headers
+dpkg_buildflags_host = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-format,-pie" dpkg-buildflags
 dpkg_buildflags_target = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
 CC = gcc-$(target_version)
@@ -219,10 +223,3 @@
 	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	# Spelling fixes
 	$(call spelling,adress,address)
-	$(call spelling,Allow to,Allow one to)
-	$(call spelling,Choosen,Chosen)
-	$(call spelling,containg,containing)
-	$(call spelling,endianess,endianness)
-	$(call spelling,eroneous,erroneous)
-	$(call spelling,informations,information)
-	$(call spelling,intial,initial)
