=== debian/rules ===
--- 
+++ 
@@ -77,8 +77,8 @@
 	done
 	echo >> debian/control
 	cat debian/control.base >> debian/control
-	echo >> debian/control
-	cat debian/control.bootstrap >> debian/control
+#	echo >> debian/control
+#	cat debian/control.bootstrap >> debian/control
 	sed -i '/^Recommends: $$/d' debian/control
 	sed -i '/^Breaks: $$/d' debian/control
 	sed -i '/^Conflicts: $$/d' debian/control
@@ -159,6 +159,7 @@
 	# need to be applied before gcc-6-source's
 	patch -p0 < debian/patches/disable-multilib.patch
 	patch -p2 -d$(upstream_dir) < debian/patches/reproducible-sort.patch
+	patch -p1 -d$(upstream_dir) < debian/patches/bug-55930.patch
 	mkdir -p $(stampdir)
 	touch $@
 
@@ -209,9 +210,9 @@
 	--target=$$target \
 	--with-as=/usr/bin/$$target-as \
 	--with-ld=/usr/bin/$$target-ld
-# Disable libatomic
-CONFFLAGS += \
-	--disable-libatomic
+# Enable libatomic
+CONFFLAGS += \
+	--enable-libatomic
 
 spelling = grep -rl "$(1)" $(upstream_dir) | xargs -r sed -i "s/$(1)/$(2)/g"
 
@@ -222,4 +223,3 @@
 	# Remove the patch building libstdc++_pic.a before configuring
 	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	# Spelling fixes
-	$(call spelling,adress,address)
