=== debian/control ===
--- 
+++ 
@@ -293,12 +293,3 @@
  .
  This empty package contains the documentation common to all
  gcc-mingw-w64 packages.
-
-Package: gcc-mingw-w64-bootstrap
-Architecture: any
-Depends: binutils-mingw-w64,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Built-Using: gcc-6 (= ${gcc:Version})
-Description: GNU Compiler Collection for MinGW-w64
- MinGW-w64 provides a development and runtime environment for 32- and
