=== debian/rules ===
--- 
+++ 
@@ -161,6 +161,8 @@
 	patch -p2 -d$(upstream_dir) < debian/patches/reproducible-sort.patch
 	patch -p1 -d$(upstream_dir) < debian/patches/bug-55930.patch
 	mkdir -p $(stampdir)
+# gcov-dump.texi is missing in some source tarballs
+	if [ ! -f $(upstream_dir)/gcc/doc/gcov-dump.texi ]; then cp $(gcc_dir)/debian/dummy.texi $(upstream_dir)/gcc/doc/gcov-dump.texi; fi
 	touch $@
 
 clean: control
@@ -219,7 +221,3 @@
 # Patches applied or unapplied after the upstream sources have been
 # unpacked and patched using the gcc-6-source package's patches
 mingw-w64-patch: mingw-w64-patch-stamp
-mingw-w64-patch-stamp: $(patch_stamp)
-	# Remove the patch building libstdc++_pic.a before configuring
-	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
-	# Spelling fixes
